# Target: Fedora

Summary:          The bit library is collection of C++ bit manipulation classes
Name:             bit
Version:          0.2.2
Release:          4%{?dist}
License:          LGPL
URL:              http://libbit.sourceforge.net
Group:            System Environment/Libraries
Source:           http://download.sourceforge.net/libbit/%{name}-%{version}.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    libxml++-devel >= 2.10.0 libsigc++20-devel >= 2.0.0 boost-devel pkgconfig cppunit-devel

%description
The purpose of the bit library is to simplify the parsing of data streams into
fields that are not necessarily octet (byte) oriented.

%package          devel
Summary:          Headers for developing programs that will use %{name}
Group:            Development/Libraries
Requires:         %{name} = %{version}-%{release}
Requires:         libxml++-devel >= 2.10.0 libsigc++20-devel >= 2.0.0 boost-devel pkgconfig

%description    devel
This package contains the libraries and header files needed for
developing %{name} applications.

%prep
%setup -q

%build
%configure --enable-static=no
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

make DESTDIR=%{buildroot} install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
%{__rm} -rf %{buildroot}%{_bindir}
%{__cp} -arv docs/reference/html .

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%{_datadir}/bit-0.2/
%doc AUTHORS COPYING


%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/bit-0.2/
%doc ChangeLog html


%changelog
* Fri Jul 07 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-4
- Removed / between builddir and bindir

* Fri Jul 07 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-3
- Bumped release for make tag

* Fri Jul 07 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-2
- Changed /usr/bin to _bindir

* Thu Jul 06 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-1
- New upstream release
- Removed *.md5, *.map and *.dot in upstream package
- Changed mv of docs to cp

* Thu Jun 22 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.1-2
- Added AUTHORS and COPYING to bit main package
- Changed download dir from prdownloads.sf.net to download.sf.net

* Mon May 15 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.1-1
- Added cppunit to BuildRequires
- Removed doxygen and graphviz BuildRequires since docs are now in dist
- Changed doc directory to represent new location in dist
- Fixed sf download location

* Fri Mar 31 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.0-1
- Split bitgtkmm from bit
- Updated -devel Requires and BuildRequires
- Fixed sourceforge download URL
- Changed .dtd and .xml install directory to $(libdir)/bit-$version

* Tue Mar 21 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.28-1
- New release

* Sun Mar 05 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.27-2
- Removed Requires tag, relying on BuildRequires instead
- Cleaned up Source tag and changed to bz2 files
- New upstream release (upstream is me, it's just easier to say it that way)

* Fri Mar 03 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.27-1
- Long overdue cleanup of configure.in et. al.
- Docs now install into $prefix/share/doc/{package}-{version}.
- Separate doc rpm consolidated into devel rpm.

* Fri Mar 03 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.26-1
- Initial version (at least the inital version with a changelog in the .spec)
